This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 2923 - /sbin/mount.smb is broken
/sbin/mount.smb is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-19 01:30 EDT by Damien, Miller
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-19 10:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damien, Miller 1999-05-19 01:30:43 EDT
mount.smb passes smbmount it arguments in the wrong order.
This trivial patch fixes that:

--- mount.smb-orig	Wed May 19 15:24:46 1999
+++ mount.smb	Wed May 19 15:15:21 1999
@@ -39,7 +39,7 @@
 done

 if [ -n "$PASSWD" ]; then
-      exec smbmount "$1" $USER $PASSWD -c "$COMMAND"
+      exec smbmount "$1" $PASSWD $USER -c "$COMMAND"
 else
       exec smbmount "$1" -N $USER -c "$COMMAND"
 fi

------------------------------------
Comment 1 Bill Nottingham 1999-05-19 10:24:59 EDT
fixed in samba-2.0.4a-1

Note You need to log in before you can comment on or make changes to this bug.